Summary:        Tools for network auditing and penetration testing
Name:           dsniff
Version:        2.4
Release:    1%{?dist}
License:        BSD
URL:            https://www.monkey.org/~dugsong/%{name}/
Source0:        https://www.monkey.org/~dugsong/%{name}/beta/%{name}-%{version}b1.tar.gz
Patch0:         dsniff-2.4-time_h.patch
Patch1:         dsniff-2.4-mailsnarf_corrupt.patch
Patch2:         dsniff-2.4-pcap_read_dump.patch
Patch3:         dsniff-2.4-multiple_intf.patch
Patch4:         dsniff-2.4-amd64_fix.patch
Patch5:         dsniff-2.4-urlsnarf_zeropad.patch
Patch6:         dsniff-2.4-libnet_11.patch
Patch7:         dsniff-2.4-checksum.patch
Patch8:         dsniff-2.4-openssl_098.patch
Patch9:         dsniff-2.4-sshcrypto.patch
Patch10:        dsniff-2.4-sysconf_clocks.patch
Patch11:        dsniff-2.4-urlsnarf_escape.patch
Patch12:        dsniff-2.4-string_header.patch
Patch13:        dsniff-2.4-arpa_inet_header.patch
Patch14:        dsniff-2.4-pop_with_version.patch
Patch15:        dsniff-2.4-obsolete_time.patch
Patch16:        dsniff-2.4-checksum_libnids.patch
Patch17:        dsniff-2.4-fedora_dirs.patch
Patch18:        dsniff-2.4-glib2.patch
Patch19:        dsniff-2.4-link_layer_offset.patch
Patch20:        dsniff-2.4-tds_decoder.patch
Patch21:        dsniff-2.4-msgsnarf_segfault.patch
Patch22:        dsniff-2.4-urlsnarf_timestamp.patch
Patch23:        dsniff-2.4-arpspoof_reverse.patch
Patch24:        dsniff-2.4-arpspoof_multiple.patch
Patch25:        dsniff-2.4-arpspoof_hwaddr.patch
Patch26:        dsniff-2.4-modernize_pop.patch
Patch27:        dsniff-2.4-libnet_name2addr4.patch
Patch28:        dsniff-2.4-pntohl_shift.patch
Patch29:        dsniff-2.4-rpc_segfault.patch
Patch30:        dsniff-2.4-openssl_110.patch
Patch31:        dsniff-2.4-remote_typo.patch
Patch32:        dsniff-2.4-smp_mflags.patch
Patch33:        dsniff-2.4-libtirpc.patch
Patch34:        dsniff-2.4-pcap_init.patch
Patch35: dsniff-configure-c99.patch
BuildRequires:  gcc
BuildRequires:  libnet-devel
BuildRequires:  openssl-devel
BuildRequires:  libnids-devel
BuildRequires:  glib2-devel
BuildRequires:  libpcap-devel
BuildRequires:  libdb-devel
BuildRequires:  libXmu-devel
BuildRequires:  rpcgen
BuildRequires:  libtirpc-devel
BuildRequires:  libnsl2-devel
BuildRequires:  make

%description
A collection of tools for network auditing and penetration testing. Dsniff,
filesnarf, mailsnarf, msgsnarf, urlsnarf and webspy allow to passively monitor
a network for interesting data (passwords, e-mail, files). Arpspoof, dnsspoof
and macof facilitate the interception of network traffic normally unavailable
to an attacker (e.g, due to layer-2 switching). Sshmitm and webmitm implement
active monkey-in-the-middle attacks against redirected SSH and HTTPS sessions
by exploiting weak bindings in ad-hoc PKI.

%prep
%setup -q
%patch 0 -p1 -b .time_h
%patch 1 -p1 -b .mailsnarf
%patch 2 -p1 -b .pcap_dump
%patch 3 -p1 -b .multiple_intf
%patch 4 -p1 -b .amd64_fix
%patch 5 -p1 -b .urlsnarf_zeropad
%patch 6 -p1 -b .libnet_11
%patch 7 -p1 -b .checksum
%patch 8 -p1 -b .openssl_098
%patch 9 -p1 -b .sshcrypto
%patch 10 -p1 -b .sysconf_clocks
%patch 11 -p1 -b .urlsnarf_escape
%patch 12 -p1 -b .string_header
%patch 13 -p1 -b .arpa_inet_header
%patch 14 -p1 -b .pop_with_version
%patch 15 -p1 -b .obsolete_time
%patch 16 -p1 -b .checksum_libnids
%patch 17 -p1 -b .fedora_dirs
%patch 18 -p1 -b .glib2
%patch 19 -p1 -b .link_layer_offset
%patch 20 -p1 -b .tds_decoder
%patch 21 -p1 -b .msgsnarf_segfault
%patch 22 -p1 -b .urlsnarf_timestamp
%patch 23 -p1 -b .arpspoof_reverse
%patch 24 -p1 -b .arpspoof_multiple
%patch 25 -p1 -b .arpspoof_hwaddr
%patch 26 -p1 -b .modernize_pop
%patch 27 -p1 -b .libnet_name2addr4
%patch 28 -p1 -b .pntohl_shift
%patch 29 -p1 -b .rpc_segfault
%patch 30 -p1 -b .openssl_110
%patch 31 -p1 -b .remote_typo
%patch 32 -p1 -b .smp_mflags
%patch 33 -p1 -b .libtirpc
%patch 34 -p1 -b .pcap_init
%patch 35 -p1

%build
%if 0%{?rhel} == 7
sed \
  -e 's|include/openssl/|include/openssl11/openssl/|g' \
  -e 's|\(SSLINC="\)-I${prefix}/include|\1$(pkg-config --cflags openssl11)|g' \
  -e 's|\(SSLLIB="\)-L${prefix}/lib -lssl -lcrypto|\1$(pkg-config --libs openssl11)|g' \
  -i configure
%endif

%configure
%make_build

%install
%make_install install_prefix=%{buildroot}

%files
%license LICENSE
%doc CHANGES README TODO
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_sbindir}/arpspoof
%{_sbindir}/dnsspoof
%{_sbindir}/%{name}
%{_sbindir}/filesnarf
%{_sbindir}/macof
%{_sbindir}/mailsnarf
%{_sbindir}/msgsnarf
%{_sbindir}/sshmitm
%{_sbindir}/sshow
%{_sbindir}/tcpkill
%{_sbindir}/tcpnice
%{_sbindir}/urlsnarf
%{_sbindir}/webmitm
%{_sbindir}/webspy
%{_mandir}/man8/arpspoof.8*
%{_mandir}/man8/dnsspoof.8*
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/filesnarf.8*
%{_mandir}/man8/macof.8*
%{_mandir}/man8/mailsnarf.8*
%{_mandir}/man8/msgsnarf.8*
%{_mandir}/man8/sshmitm.8*
%{_mandir}/man8/sshow.8*
%{_mandir}/man8/tcpkill.8*
%{_mandir}/man8/tcpnice.8*
%{_mandir}/man8/urlsnarf.8*
%{_mandir}/man8/webmitm.8*
%{_mandir}/man8/webspy.8*

%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-1
- initial build
